%define module_version 0.07
%define module_name Lavoco-Web-Editor
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(DateTime.pm) perl(Digest/SHA1.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(FCGI.pm) perl(File/Slurp.pm) perl(FindBin.pm) perl(JSON.pm) perl(Log/AutoDump.pm) perl(Moose.pm) perl(Plack/Handler/FCGI.pm) perl(Plack/Request.pm) perl(Template.pm) perl(Term/ANSIColor.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Experimental framework with two constraints: FastCGI and Template::Toolkit to edit flat files.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CA/CAGAO/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Framework to run small web app to edit flat files, running as a FastCGI application.

 use Lavoco::Web::Editor;
 
 my $editor = Lavoco::Web::Editor->new( name => 'Example editor' );
 
 my $action = lc( $ARGV[0] );   # (start|stop|restart)
 
 $editor->$action;
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README examples
%perl_vendor_privlib/L*

%changelog
* Mon Jan 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- regenerated from template by package builder

* Mon Jan 12 2015 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

